Module java.xml.soap
Package javax.xml.soap

## Interface Text

All Superinterfaces:
  `CharacterData`, `Node`, `Node`, `Text`

    public interface Text
    extends Node, Text

A representation of a node whose value is text. A `Text` object may represent text that is content or text that is a comment.

Since:
  1.6

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isComment​()` Retrieves whether this `Text` object represents a comment.

### Methods inherited from interface org.w3c.dom.CharacterData

`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

### Methods inherited from interface javax.xml.soap.Node

`detachNode, getParentElement, getValue, recycleNode, setParentElement, setValue`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from interface org.w3c.dom.Text

`getWholeText, isElementContentWhitespace, replaceWholeText, splitText`

### Method Detail

#### isComment

    boolean isComment​()

Retrieves whether this `Text` object represents a comment.

Returns:
  `true` if this `Text` object is a comment; `false` otherwise